com.sun.source.tree

## Interface CatchTree

- All Superinterfaces:
    Tree

      public interface CatchTree
      extends Tree

  A tree node for a 'catch' block in a 'try' statement. For example:

         catch ( parameter )
             block

  Since:
    1.6
  See Also:
    "The Java Language Specification, 3rd ed, section 14.20"

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BlockTree` | `getBlock()`
    `VariableTree` | `getParameter()`

    - ### Methods inherited from interface com.sun.source.tree.Tree

      `accept, getKind`

- - ### Method Detail

    - #### getParameter

          VariableTree getParameter()

    - #### getBlock

          BlockTree getBlock()

Copyright © 2005, 2014, Oracle and/or its affiliates. All rights reserved.